DateMappingControllerSaveDateMapping Method |
PUT /DateMapping
Saves or updates a date mapping.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage SaveDateMapping(
[FromBodyAttribute] SaveDateMappingOptions options,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function SaveDateMapping (
<FromBodyAttribute> options As SaveDateMappingOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ SaveDateMapping(
[FromBodyAttribute] SaveDateMappingOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member SaveDateMapping :
[<FromBodyAttribute>] options : SaveDateMappingOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ControllersSaveDateMappingOptions
The save date mapping options. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessage
A
DateMappingData object, or a status code indicating the problem.
See Also